curl --request POST \
--url https://platform.kodexa.ai/api/organizations/{orgId}/ai/chat/completions \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"messages": [
{
"content": "<string>"
}
],
"model": "<string>",
"max_tokens": 123,
"n": 123,
"stop": [
"<string>"
],
"stream": true,
"temperature": 123,
"top_p": 123
}
'import requests
url = "https://platform.kodexa.ai/api/organizations/{orgId}/ai/chat/completions"
payload = {
"messages": [{ "content": "<string>" }],
"model": "<string>",
"max_tokens": 123,
"n": 123,
"stop": ["<string>"],
"stream": True,
"temperature": 123,
"top_p": 123
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
messages: [{content: '<string>'}],
model: '<string>',
max_tokens: 123,
n: 123,
stop: ['<string>'],
stream: true,
temperature: 123,
top_p: 123
})
};
fetch('https://platform.kodexa.ai/api/organizations/{orgId}/ai/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"choices": [
{
"finish_reason": "<string>",
"index": 123,
"message": {
"content": "<string>",
"role": "system"
}
}
],
"created": 123,
"id": "<string>",
"model": "<string>",
"object": "<string>",
"usage": {
"completion_tokens": 123,
"prompt_tokens": 123,
"total_tokens": 123
}
}Create chat completion
Creates a chat completion using the specified model via the AI Gateway. Supports both synchronous and streaming (SSE) responses. Set stream: true in the request body to receive server-sent events. The request is proxied to the organization’s configured AI provider (Bedrock, Azure, Gemini, etc.).
Authorizations
API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.
Path Parameters
Organization UUID. The authenticated user must be a member of this organization.
Body
Request body for creating a chat completion. Compatible with the OpenAI Chat Completions API.
A list of messages comprising the conversation.
Show child attributes
Show child attributes
ID of the model to use (e.g., 'gpt-4', 'claude-3-sonnet').
Maximum number of tokens to generate.
Number of completions to generate.
Sequences where the API will stop generating.
If true, partial message deltas are sent as server-sent events (SSE).
Sampling temperature between 0 and 2.
Nucleus sampling parameter.
Response
Chat completion response. When stream: true, the response is a stream of server-sent events with Content-Type: text/event-stream.
Response from the chat completion endpoint. Compatible with the OpenAI Chat Completions API response format.
